fop 1.1

## org.apache.fop.fo.properties
Class PositionShorthandParser

    java.lang.Object
      org.apache.fop.fo.properties.PositionShorthandParser

All Implemented Interfaces:
  ShorthandParser

    public class PositionShorthandParser

extends java.lang.Object
implements ShorthandParser

A shorthand parser for the position shorthand. It is used to set values for absolute-position and relative-position.

Constructor Summary
`PositionShorthandParser()`

Method Summary
`Property` `getValueForProperty(int propId, Property property, PropertyMaker maker, PropertyList propertyList)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PositionShorthandParser

    public PositionShorthandParser()

Method Detail

### getValueForProperty

    public Property getValueForProperty(int propId,
                                        Property property,
                                        PropertyMaker maker,
                                        PropertyList propertyList)

  Specified by:
    `getValueForProperty` in interface `ShorthandParser`
  Parameters:
    `propId` - the property ID in the Constants interface
    `property` - from which value is obtained
    `maker` - Maker object for the Property
    `propertyList` - list of properties
  Returns:
    Property object corresponding to propName

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.